/*
 * ErrorTraceManager.h
 *
 *  Created on: 06.06.2011
 *      Author: stefan.detter
 */

#ifndef ERRORTRACEMANAGER_H_
#define ERRORTRACEMANAGER_H_

#include <QObject>

#include <QrfeTraceModule>

class QrfeRingFile;

class ErrorTraceManager : public QObject, QrfeTraceModule
{
	Q_OBJECT

public:
	ErrorTraceManager(QObject* parent = 0);
	virtual ~ErrorTraceManager();

private slots:
	void traceError(const QString& err);

private:
	QrfeRingFile*	m_file;
};

#endif /* ERRORTRACEMANAGER_H_ */
